﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using PopulateRow.Web;
using System.Collections.ObjectModel;
using System.ServiceModel.DomainServices.Client;
using Infragistics.Controls.Grids;

namespace PopulateRow
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Employee> EmpCol;
        public MainPage()
        {
            InitializeComponent();
            EmpCol = new ObservableCollection<Employee>();
            EmpCol.Add(new Employee());
            myGrid.ItemsSource = EmpCol;
        }

        private void myGrid_CellExitedEditMode(object sender, Infragistics.Controls.Grids.CellExitedEditingEventArgs e)
        {
            Employee emp = (Employee) e.Cell.Row.Data;
            NorthWindContext nwc = new NorthWindContext();
            
            LoadOperation<Employee> loadOp = nwc.Load(nwc.GetEmployeeQuery(emp.EmployeeID));
            loadOp.Completed += new EventHandler(loadOp_Completed);
           
        }

        void loadOp_Completed(object sender, EventArgs e)
        {
            LoadOperation loadOp = (LoadOperation)sender;
            Employee emp = (Employee) loadOp.Entities.FirstOrDefault();
            Employee emp2 = (Employee) (from ep in EmpCol where ep.EmployeeID == emp.EmployeeID select ep).FirstOrDefault();
            emp2.FirstName = emp.FirstName;
            emp2.LastName = emp.LastName;


        }

      
    }
}
